[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ShowWindow

Shows a window in an specific state.

## Declaration

Source position: winapih.inc line 274

`public function TWidgetSet.ShowWindow(`
`hWnd: HWND;`
`nCmdShow: Integer`
`):Boolean; virtual;`

## Arguments

`hWnd` |  | The window handle.

## Function result

True when the window was already visible.

## Description

These are the available options in nCmdShow:

SW_FORCEMINIMIZE
  Forces the window into its minimized state.
SW_HIDE
  Hides the window.
SW_MAXIMIZE
  Maximizes the window.
SW_MINIMIZE
  Minimizes the window.
SW_RESTORE
  Activates and restores from minimized/maximized to normal state.
SW_SHOW
  Activates and shows the window.
SW_SHOWMAXIMIZED
  Activates and maximizes the window.
SW_SHOWMINIMIZED
  Activates and minimizes the window.
SW_SHOWMINNOACTIVE
  Minimizes the window.
SW_SHOWNA
  Shows the window.
SW_SHOWNOACTIVATE
  Shows the window as designed.
SW_SHOWNORMAL
  Activates and shows the window as designed.